Bug 829949 - after minimal install, yum install virt-manager, yet no fonts are pulled in (should gtk have a dep?)
after minimal install, yum install virt-manager, yet no fonts are pulled in (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 16:54 EDT by R P Herrold
Modified: 2013-08-01 00:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:02:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshow of the fonting issues (746.08 KB, image/png)
2012-06-07 16:54 EDT, R P Herrold
no flags Details

  None (edit)
Description R P Herrold 2012-06-07 16:54:56 EDT
Created attachment 590297 [details]
screenshow of the fonting issues

Description of problem:

virt-manager, and dependencies emits srrors on missing 'gtypes' in an enum

Version-Release number of selected component (if applicable):

virt-manager-0.9.1-3.fc17.noarch

How reproducible:

after a fresh minimal install from media:

[root@fedora17-64-kvm ~]# history
    1  service network restart
   13  yum install qemu-system-arm qemu-kvm-tools
   14  yum upgrade
   20  yum install virt-install
   34  yum install qemu
   35  yum clean all
   36  virt-install
   37  yum install libvirt
   38  virt-install
   39  chkconfig libvirtd on
   41  service libvirtd start
   42  virt-install
   43  yum install virt-manager
   44  virt-manager
   45  yum list \*auth\*
   46  yum install xorg-x11-xauth
   47  virt-manager
   48  which virt-manager
   49  rpm -qf /bin/virt-manager
   50  yum ugprade

Steps to Reproduce:

as above  


Actual results:

initiating console has the messages:

[root@fedora17-64-kvm ~]# virt-manager

** (virt-manager:2273): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:2273): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:2273): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
[root@fedora17-64-kvm ~]#


Expected results:

no warning messages 

Additional info:

Additionally, I think some fonts are needed here ...  screenshot in a moment
Comment 1 R P Herrold 2012-06-07 17:18:58 EDT
Partial work-around

As to the fonting issue, I did a: 
   yum groupinstall Xfce
to drag in a X window manager ... over 200M needed <?>

which added these two fonts:

[root@fedora17-64-kvm ~]# diff  RPM-qa-2012-06-07.txt \
   RPM-qa-2012-06-07-post-xfce.txt | grep font

> abattis-cantarell-fonts-0.0.8-1.fc17.noarch
> libfontenc-1.1.0-2.fc17.x86_64
> libXfont-1.4.5-1.fc17.x86_64
> xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
> xorg-x11-font-utils-7.5-7.fc17.x86_64

[root@fedora17-64-kvm ~]# history | tail -20

   55  yum grouplist | grep -i xfce
   56  yum groupinstall Xfce
   57  virt-manager

so I do not get 'no font' boxes

Looks bad, but is usable

==================

It still emits the gtype / enum messages

[root@fedora17-64-kvm ~]# virt-manager

** (virt-manager:4935): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:4935): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (virt-manager:4935): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
[root@fedora17-64-kvm ~]#
Comment 2 Cole Robinson 2012-06-26 11:49:34 EDT
GTK apps shouldn't need to have a dep on fonts to actually make things look usable. Not sure what in the chain should have that dep though, so reassigning to gtk for further triage.
Comment 3 R P Herrold 2012-06-26 13:27:49 EDT
grr .. hit this again on a new deploy --- still present in F17 today
Comment 4 R P Herrold 2012-06-26 16:54:21 EDT
I spent some time digging through this ... Virt-manager needed: urw-fonts  to stop displaying the 'no font' boxes
Comment 5 Jens Petersen 2012-06-30 00:23:11 EDT
Is urw-fonts really a unique solution?

If every GUI package in Fedora pulled in fonts it would be a complete mess.

You could "yum install @fonts" to get the default set of Fedora desktop installed fonts or pick fonts from there if you don't want to install them all.

Minimal installs don't contain desktop fonts and are not a recommended way of getting a running desktop.

Anyway moving to gtk2 as per comment 2.
Comment 6 R P Herrold 2012-07-27 17:13:14 EDT
As to comment 5:

>  'you could ...'

Really???  This approach is massive overkill, isn't it?

# yum install @fonts
  ...
Installing:
 abyssinica-fonts              noarch    1.0-5.1.el6              base    165 k
 cjkuni-uming-fonts            noarch    0.2.20080216.1-35.el6    base    8.9 M
 dejavu-sans-fonts             noarch    2.30-2.el6               base    1.7 M
 dejavu-sans-mono-fonts        noarch    2.30-2.el6               base    450 k
 dejavu-serif-fonts            noarch    2.30-2.el6               base    827 k
 jomolhari-fonts               noarch    0.003-8.1.el6            base    566 k
 khmeros-base-fonts            noarch    5.0-9.el6                base    123 k
 kurdit-unikurd-web-fonts      noarch    20020502-6.el6           base     49 k
 liberation-mono-fonts         noarch    1.05.1.20090721-5.el6    base    222 k
 liberation-sans-fonts         noarch    1.05.1.20090721-5.el6    base    275 k
 liberation-serif-fonts        noarch    1.05.1.20090721-5.el6    base    293 k
 lklug-fonts                   noarch    0.6-4.20090803cvs.el6    base     89 k
 lohit-assamese-fonts          noarch    2.4.3-5.el6              base     77 k
 lohit-bengali-fonts           noarch    2.4.3-6.el6              base     77 k
 lohit-devanagari-fonts        noarch    2.4.3-7.el6              base     51 k
 lohit-gujarati-fonts          noarch    2.4.4-4.el6              base     47 k
 lohit-kannada-fonts           noarch    2.4.5-6.el6              base     58 k
 lohit-oriya-fonts             noarch    2.4.3-6.el6              base     60 k
 lohit-punjabi-fonts           noarch    2.4.4-2.el6              base     28 k
 lohit-tamil-fonts             noarch    2.4.5-5.el6              base     41 k
 lohit-telugu-fonts            noarch    2.4.5-5.el6              base     63 k
 madan-fonts                   noarch    2.000-3.el6              base     87 k
 paktype-naqsh-fonts           noarch    2.0-8.el6                base    199 k
 paktype-tehreer-fonts         noarch    2.0-8.el6                base     81 k
 sil-padauk-fonts              noarch    2.6.1-1.el6              base    171 k
 smc-meera-fonts               noarch    04.2-11.el6              base    118 k
 stix-fonts                    noarch    0.9-13.1.el6             base    439 k
 thai-scalable-waree-fonts     noarch    0.4.12-2.1.el6           base    160 k
 tibetan-machine-uni-fonts     noarch    1.901-5.el6              base    1.0 M
 un-core-dotum-fonts           noarch    1.0.2-0.15.080608.el6    base    4.1 M
 vlgothic-fonts                noarch    20091202-2.el6           base    2.2 M
 wqy-zenhei-fonts              noarch    0.9.45-3.el6             base    7.8 M
Installing for dependencies:
 cjkuni-fonts-common           noarch    0.2.20080216.1-35.el6    base    9.6 k
 dejavu-fonts-common           noarch    2.30-2.el6               base     59 k
 fontpackages-filesystem       noarch    1.41-1.1.el6             base    8.8 k
 khmeros-fonts-common          noarch    5.0-9.el6                base    4.2 k
 liberation-fonts-common       noarch    1.05.1.20090721-5.el6    base     21 k
 paktype-fonts-common          noarch    2.0-8.el6                base     10 k
 smc-fonts-common              noarch    04.2-11.el6              base     13 k
 thai-scalable-fonts-common    noarch    0.4.12-2.1.el6           base     10 k
 un-core-fonts-common          noarch    1.0.2-0.15.080608.el6    base     13 k
 vlgothic-fonts-common         noarch    20091202-2.el6           base     16 k

Transaction Summary
================================================================================
Install      42 Package(s)

Total download size: 31 M
Installed size: 70 M
Is this ok [y/N]: 
(cancelled out)

I don't know that the URW fonts are the 'right' choice, but this looks a lot more sane, and seems to work:

[root@fedora17-64-kvm ~]# rpm -qa \*fonts\*
urw-fonts-2.4-11.fc17.noarch
abattis-cantarell-fonts-0.0.8-1.fc17.noarch
texlive-texmf-fonts-2007-41.fc17.noarch
ghostscript-fonts-5.50-28.fc17.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
[root@fedora17-64-kvm ~]#     

(the dependencies for urw-fonts and gdm are in play on this set ...)
Comment 7 R P Herrold 2012-10-05 14:25:30 EDT
We are mid-life on F17 ... COuld we target this fixing this in F19 -- obviously F18 mustfix's are set in stone?
Comment 8 Fedora End Of Life 2013-07-03 20:23:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 00:02:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.